/* The main calendar widget.  DIV containing a table. */

.calendar {
    background: LightGray; /*CHANGED FROM Window TO LightGray*/
    border: 1px solid;
    border-color: #FFFFFF #000000 #000000 #FFFFFF;
    color: Black; /*CHANGED FROM WindowText TO Black*/
    cursor: default;
    display: none;
    font-family: Arial, Calibri,Tahoma,verdana,sans-serif; /*ADDED Arial & Calibri*/
    font-size: 14px; /*CHANGED FROM 11px TO 14px*/
    font-weight: bolder; /*ADDED FONT WEIGHT*/
    position: relative;
    z-index: 1000;
}

    .calendar table {
        background: ButtonFace; /*CHANGED FROM Window TO LightGray*/
        border: 1px solid;
        border-color: #FFFFFF #000000 #000000 #FFFFFF;
        color: Black; /*CHANGED FROM WindowText TO Black*/
        cursor: default;
        font-family: Arial, Calibri,Tahoma,verdana,sans-serif; /*ADDED Arial & Calibri*/
        font-size: 14px; /*CHANGED FROM 11px TO 14px*/
    }

    /*****************************************/
    /* BEGIN - Header part -- contains navigation buttons and day names. */
    /*****************************************/
    .calendar .button {
        /* "<<", "<", ">", ">>" buttons have this class */
        background: ButtonFace;
        border: 1px solid;
        border-color: ButtonHighlight ButtonShadow ButtonShadow ButtonHighlight;
        padding: 1px;
        text-align: center;
    }

    .calendar .nav {
        background: ButtonFace url(menuarrow.gif) no-repeat 100% 100%;
    }

    .calendar thead .title {
        /* This holds the current "month, year" */
        background: LightGray; /* ISSUE WITH BACKGROUND. WAS ActiveCatption AND CAUSED TITLE TO BE ALL BLACK ChANGED TO LightGray*/
        border: 1px solid #000;
        color: CaptionText;
        font-weight: bold;
        padding: 1px;
        text-align: center;
    }

    .calendar thead .headrow {
        /* Row <tr> containing navigation buttons */
    }

    .calendar thead .daynames {
        /* Row <tr> containing the day names */
    }

    .calendar thead .name {
        /* Cells <td> containing the day names */
        background: ButtonFace;
        border-bottom: 1px solid ButtonShadow;
        color: ButtonText;
        padding: 2px;
        text-align: center;
    }

    .calendar thead .weekend {
        /* How a weekend day name shows in header */
        background: LightGray;
        color: #FF0000; /*CHANGED FROM #F00 TO #FF0000*/ /*Red*/
    }

    .calendar thead .hilite {
        /* How do the buttons in header appear when hover */
        border-width: 2px;
        padding: 0px;
    }

    .calendar thead .active {
        /* Active (pressed) buttons in header */
        border-color: ButtonShadow ButtonHighlight ButtonHighlight ButtonShadow;
        border-width: 1px;
        padding: 2px 0px 0px 2px;
    }
    /* END - Header part -- contains navigation buttons and day names. */

    /*****************************************/
    /* BEGIN - The body part -- contains all the days in month. */
    /*****************************************/
    .calendar tbody .day {
        /* Cells <td> containing month days dates */
        padding: 2px 4px 2px 2px;
        text-align: right;
        width: 2em;
    }

    .calendar table .wn {
        background: ButtonFace;
        border-right: 1px solid ButtonShadow;
        color: ButtonText;
        padding: 2px 3px 2px 2px;
    }

    .calendar tbody .rowhilite td {
        background: #EEEEEE; /*CHANGED FROM #EEE TO #EEEEEE*/ /*???*/
        color: #000000; /*CHANGED FROM #000 TO #000000*/ /*Black*/
    }

    .calendar tbody td.hilite {
        /* Hovered cells <td> */
        border-top: 1px solid #FFFFFF; /*CHANGED FROM #FFF TO #FFFFFF*/ /*White*/
        border-right: 1px solid #000000; /*CHANGED FROM #000 TO #000000*/ /*Black*/
        border-bottom: 1px solid #000000; /*CHANGED FROM #000 TO #000000*/ /*Black*/
        border-left: 1px solid #FFFFFF; /*CHANGED FROM #FFF TO #FFFFFF*/ /*White*/
        padding: 1px 3px 1px 1px;
    }

    .calendar tbody td.active {
        /* Active (pressed) cells <td> */
        padding: 2px 2px 0px 2px;
        border: 2px solid;
        border-color: ButtonShadow ButtonHighlight ButtonHighlight ButtonShadow;
    }

    .calendar tbody td.selected {
        /* Cell showing selected date */
        background: ButtonFace;
        border: 1px solid;
        border-color: ButtonShadow ButtonHighlight ButtonHighlight ButtonShadow;
        color: ButtonText;
        font-weight: bold;
        padding: 2px 2px 0px 2px;
    }

    .calendar tbody td.weekend {
        /* Cells showing weekend days */
        background: #DCDCDC; /*ADDED #DCDCDC */ /*Gainsboro*/
        color: #FF0000; /*CHANGED FROM #F00 TO #FF0000*/ /*Red*/
    }

    .calendar tbody td.today {
        /* Cell showing today date */
        background: #C0C0C0; /*CHANGED FROM #00F TO #C0C0C0*/ /*Silver*/
        color: #0000FF; /*Blue*/
        font-weight: bold;
    }

    .calendar tbody td.disabled {
        color: GrayText;
    }

    .calendar tbody .emptycell {
        /* Empty cells (the best is to hide them) */
        visibility: hidden;
    }

    .calendar tbody .emptyrow {
        /* Empty row (some months need less than 6 rows) */
        display: none;
    }
    /* END - The body part -- contains all the days in month. */


    /*****************************************/
    /* BEGIN - The footer part -- status bar and "Close" button */
    /*****************************************/
    .calendar tfoot .footrow {
        /* The <tr> in footer (only one right now) */
    }

    .calendar tfoot .ttip {
        /* Tooltip (status bar) cell <td> */
        background: ButtonFace;
        border: 1px solid;
        border-color: ButtonShadow ButtonHighlight ButtonHighlight ButtonShadow;
        color: ButtonText;
        padding: 1px;
        text-align: center;
    }

    .calendar tfoot .hilite {
        /* Hover style for buttons in footer */
        background: #e4e0d8;
        border-top: 1px solid #FFFFFF; /*CHANGED FROM #FFF TO #FFFFFF*/ /*White*/
        border-right: 1px solid #000000; /*CHANGED FROM #000 TO #000000*/ /*Black*/
        border-bottom: 1px solid #000000; /*CHANGED FROM #000 TO #000000*/ /*Black*/
        border-left: 1px solid #FFFFFF; /*CHANGED FROM #FFF TO #FFFFFF*/ /*White*/
        padding: 1px;
    }

    .calendar tfoot .active {
        /* Active (pressed) style for buttons in footer */
        border-top: 1px solid #000000; /*CHANGED FROM #000 TO #000000*/ /*Black*/
        border-right: 1px solid #FFFFFF; /*CHANGED FROM #FFF TO #FFFFFF*/ /*White*/
        border-bottom: 1px solid #FFFFFF; /*CHANGED FROM #FFF TO #FFFFFF*/ /*White*/
        border-left: 1px solid #000000; /*CHANGED FROM #000 TO #000000*/ /*Black*/
        padding: 2px 0px 0px 2px;
    }
    /* END - The footer part -- status bar and "Close" button */


    /*****************************************/
    /* BEGIN - Combo boxes (menus that display months/years for direct selection) */
    /*****************************************/
    .calendar .combo {
        background: Menu;
        border: 1px solid;
        border-color: ButtonHighlight ButtonShadow ButtonShadow ButtonHighlight;
        color: MenuText;
        cursor: default;
        display: none;
        font-size: smaller;
        left: 0px;
        padding: 1px;
        position: absolute;
        top: 0px;
        width: 4em;
    }

        .calendar .combo .label {
            text-align: center;
            padding: 1px;
        }

        .calendar .combo .active {
            border: 1px solid #000;
            padding: 0px;
        }

        .calendar .combo .hilite {
            background: Highlight;
            color: HighlightText;
        }
/* END - Combo boxes (menus that display months/years for direct selection) */
